/**
 * Thrown when a file has an incorrect JSON syntax. Contains filename and file content.
 */
export declare class FileParseError extends SyntaxError {
    filename: string;
    content: string;
    constructor(message: string, filename: string, content: string);
}
/**
 * Thrown when tweet file is incorrect. Property `extract` contain one tweet.
 */
export declare class TweetFileError extends TypeError {
    extract: any;
    original_stack?: string;
    constructor(message: string, extract: any, original_stack?: string);
}
/**
 * Thrown when DM file is incorrect. Property `extract` contain one dm.
 */
export declare class DirectMessageParseError extends TypeError {
    extract: any;
    original_stack?: string;
    constructor(message: string, extract: any, original_stack?: string);
}
/**
 * Thrown when Profile file is incorrect. Property `extract` contain the profile.
 */
export declare class ProfileFileError extends TypeError {
    extract: any;
    original_stack?: string;
    constructor(message: string, extract: any, original_stack?: string);
}
/**
 * Thrown when Account file is incorrect. Property `extract` contain the profile.
 */
export declare class AccountFileError extends TypeError {
    extract: any;
    original_stack?: string;
    constructor(message: string, extract: any, original_stack?: string);
}
export declare class FileNotFoundError extends ReferenceError {
    filename: string;
    constructor(message: string, filename: string);
}
